Web Home
Getting Started
Manual
Quick Reference
Language Reference
Function Reference
I/O Reference

Language Reference Starting and Quitting Yorick Getting Help Error Recovery Array Data Types Constants Defining Variables Arithmetic and Comparison Operators Logical Operators Creating Arrays Indexing Arrays Array Conformability Rules Calling Functions Defining Functions Variable Scope Returning from Functions Compound Statements Conditional Execution Loops Function Reference I/O Reference | # Yorick Language Reference ## Defining Variables Variable names may consist of letters, numbers and the underscore _. They have to start with a letter or the underscore. var `=` expr redefines var as the value of expr var `= []` undefines var Any previous value or data type of var is forgotten. The expr can be a data type, function, file, or any other object. The `=` operator is a binary operator which has the side effect of redefining its left operand. It associates to the right, so var1 `=` var2 `=` var3 `=` expr initializes all three var to expr